# Package org.eclipse.lemminx.uriresolver

Interface Summary
IExternalGrammarLocationProvider
URIResolverExtension: URI resolver API

Class Summary
CacheResourcesManager: Cache resources manager.
CacheResourcesManager.ResourceToDeploy: Classpath resource to deploy into the lemminx cache
ResolvedURIInfo: Resolver URI information.
URIResolverExtensionManager: URI resolver manager.

Enum Summary
CacheResourceDownloadedException.CacheResourceDownloadedError
CacheResourceDownloadingException.CacheResourceDownloadingError
InvalidURIException.InvalidURIError

Exception Summary
CacheResourceDownloadedException: Exception thrown when a resource (XML Schema, DTD) has error while downloading.
CacheResourceDownloadingException: Exception thrown when a resource (XML Schema, DTD) is downloading.
CacheResourceException: Base class for cache resource exception.
InvalidURIException: Invalid URI exception.